org.eclipse.net4j.util.collection

## Class CaseInsensitiveStringSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - java.util.HashSet<String>
      - - org.eclipse.net4j.util.collection.CaseInsensitiveStringSet

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<String>, Collection<String>, Set<String>

      public class CaseInsensitiveStringSet
      extends HashSet<String>

  Since:
    3.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseInsensitiveStringSet()`
    `CaseInsensitiveStringSet(Collection<? extends String> c)`
    `CaseInsensitiveStringSet(int initialCapacity)`
    `CaseInsensitiveStringSet(int initialCapacity, float loadFactor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(String e)`
    `boolean` | `addAll(Collection<? extends String> c)`
    `boolean` | `contains(Object o)`
    `boolean` | `containsAll(Collection<?> c)`
    `protected Collection<?>` | `convert(Collection<?> c)`
    `protected String` | `convert(Object o)`
    `boolean` | `isLowerCase()`
    `boolean` | `remove(Object o)`
    `boolean` | `removeAll(Collection<?> c)`
    `boolean` | `retainAll(Collection<?> c)`

    - ### Methods inherited from class java.util.HashSet

      `clear, clone, isEmpty, iterator, size, spliterator`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `equals, hashCode, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### CaseInsensitiveStringSet

          public CaseInsensitiveStringSet()

    - #### CaseInsensitiveStringSet

          public CaseInsensitiveStringSet(Collection<? extends String> c)

    - #### CaseInsensitiveStringSet

          public CaseInsensitiveStringSet(int initialCapacity,
                                          float loadFactor)

    - #### CaseInsensitiveStringSet

          public CaseInsensitiveStringSet(int initialCapacity)

  - ### Method Detail

    - #### isLowerCase

          public boolean isLowerCase()

    - #### contains

          public boolean contains(Object o)

      Specified by:
        `contains` in interface `Collection<String>`
      Specified by:
        `contains` in interface `Set<String>`
      Overrides:
        `contains` in class `HashSet<String>`

    - #### add

          public boolean add(String e)

      Specified by:
        `add` in interface `Collection<String>`
      Specified by:
        `add` in interface `Set<String>`
      Overrides:
        `add` in class `HashSet<String>`

    - #### remove

          public boolean remove(Object o)

      Specified by:
        `remove` in interface `Collection<String>`
      Specified by:
        `remove` in interface `Set<String>`
      Overrides:
        `remove` in class `HashSet<String>`

    - #### removeAll

          public boolean removeAll(Collection<?> c)

      Specified by:
        `removeAll` in interface `Collection<String>`
      Specified by:
        `removeAll` in interface `Set<String>`
      Overrides:
        `removeAll` in class `AbstractSet<String>`

    - #### containsAll

          public boolean containsAll(Collection<?> c)

      Specified by:
        `containsAll` in interface `Collection<String>`
      Specified by:
        `containsAll` in interface `Set<String>`
      Overrides:
        `containsAll` in class `AbstractCollection<String>`

    - #### addAll

          public boolean addAll(Collection<? extends String> c)

      Specified by:
        `addAll` in interface `Collection<String>`
      Specified by:
        `addAll` in interface `Set<String>`
      Overrides:
        `addAll` in class `AbstractCollection<String>`

    - #### retainAll

          public boolean retainAll(Collection<?> c)

      Specified by:
        `retainAll` in interface `Collection<String>`
      Specified by:
        `retainAll` in interface `Set<String>`
      Overrides:
        `retainAll` in class `AbstractCollection<String>`

    - #### convert

          protected String convert(Object o)

    - #### convert

          protected Collection<?> convert(Collection<?> c)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html